<?xml version="1.0" encoding="ISO-8859-1"?>
<!DOCTYPE lire:report-spec PUBLIC
  "-//LogReport.ORG//DTD Lire Report Specification Markup Language V2.0//EN"
  "http://www.logreport.org/LRSML/2.0/lrsml.dtd">
<lire:report-spec xmlns:lire="http://www.logreport.org/LRSML/"
 id="top-messages" superservice="syslog">

 <lire:title>Top Messages Syslog Report </lire:title>

 <lire:description>
  <para>This report specification will generate a report showing the
   the messages that were logged the most number of times. The number
   of messages to display is customizable.
  </para>
 </lire:description>

 <lire:param-spec>
  <lire:param name="messages_to_show" type="int" default="50">
   <lire:description>
    <para>The number of messages to include in the report.</para>
   </lire:description>
  </lire:param>
 </lire:param-spec>

 <lire:display-spec>
  <lire:title>Top $messages_to_show Messages</lire:title>
 </lire:display-spec>

 <lire:report-calc-spec>
  <lire:group sort="-msg_count" limit="$messages_to_show">
   <lire:field name="message"/>

   <lire:count name="msg_count" label="Messagse"/>
   <lire:count name="msg_ratio" ratio="table" label="% Total"/>
  </lire:group>
 </lire:report-calc-spec>

</lire:report-spec>
